pybtex(1)

NAME
pybtex - BibTeX-compatible bibliography processor in Python

SYNOPSIS
pybtex [ options ] auxfile.aux

DESCRIPTION
Pybtex reads citation information from a LaTeX .aux file and produces a formatted bibliography. Pybtex understands BibTeX .bib and .bst style files and can be used as a drop-in replacement for BibTeX.

Besides BibTeX .bib files, BibTeXML and YAML bibliography files are supported.

It is also possible to define bibliography formatting styles in Python.

GENERAL OPTONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--strict
    turn warnings into errors

--terse
    ignored for compatibility with BibTeX

--min-crossrefs=NUMBER
    include item after NUMBER crossrefs; default 2

-f FORMAT, --bibliography-format=FORMAT
    bibliograpy format (bibtex, bibtexml, yaml)

-b BACKEND, --output-backend=BACKEND
    output backend (docutils, html, latex, markdown, plaintext)

-s STYLE, --style=STYLE
    bibliography formatting style

-l LANGUAGE, --style-language=LANGUAGE
    style definition language to use (bibtex or python)

PYTHONIC STYLE OPTIONS

--label-style=STYLE
    label formatting style (alpha, number)

--name-style=STYLE
    name formatting style (lastfirst, plain)

--sorting-style=STYLE
    sorting style (author_year_title, none)

--abbreviate-names
    use abbreviated name formatting style

ENCODING OPTIONS

-e ENCODING, --encoding=ENCODING
    default encoding

--bibtex-encoding=ENCODING

--bst-encoding=ENCODING

--output-encoding=ENCODING

SEE ALSO
https://pybtex.org/